Core resources
Produkte
Abrufen, Anzeigen und Erstellen von Produkten in Ihrem Curosa-Katalog
Übersicht
Der Products-Endpunkt ermöglicht es Ihnen, Produkte aufzulisten, ein einzelnes Produkt anzuzeigen und neue Produkte zu erstellen. Sie können Listenergebnisse filtern und über den Abfrageparameter scope zusätzliche zugehörige Felder anfordern.
Authentifizierung
Dieser Endpunkt erfordert eine Authentifizierung. Geben Sie Ihr API-Token im Authorization-Header an. Weitere Informationen zum Erhalt eines Tokens finden Sie im Leitfaden zur Authentifizierung.
Produkte auflisten
Rufen Sie eine paginierte Liste von Produkten ab.
Endpunkt: GET https://curosa.com/api/v1/products
Anfrage
curl --location 'https://curosa.com/api/v1/products' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
Abfrageparameter
| Parameter | Typ | Beschreibung |
|---|---|---|
platform_status |
string | Filtern nach Plattformstatus: pending, active, inactive, declined |
status |
string | Filtern nach Lieferantenstatus: active, inactive |
search |
string | Suche nach name, sku oder platform_sku |
scope |
string | Kommagetrennte Liste der zusätzlich einzuschließenden Felder |
cursor |
string | Cursor-Token für die Paginierung |
Antwort
Gibt eine 200 OK-Antwort zurück:
{
"data": [
{
"sku": "T3272P287613",
"platform_sku": "367.983.903",
"name": "Supplier Product Description",
"status": "active",
"platform_status": "active"
}
],
"links": {
"first": null,
"last": null,
"prev": null,
"next": "https://curosa.com/api/v1/products?cursor=eyJwcm9kdWN0cy5pZCI6MTAwLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
},
"meta": {
"path": "https://curosa.com/api/v1/products",
"per_page": 100,
"next_cursor": "eyJwcm9kdWN0cy5pZCI6MTAwLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
"prev_cursor": null
}
}
Antwortfelder
| Feld | Typ | Beschreibung |
|---|---|---|
sku |
string | Ihre interne SKU |
platform_sku |
string | Curosa-Plattform-SKU |
name |
string | Produktname |
status |
string | Status gegenüber dem Lieferanten |
platform_status |
string | Plattformstatus |
declined_reason |
string|null | Enthalten, wenn platform_status den Wert declined hat |
Verfügbare scope-Werte
imagesvariantsdescriptionsite_pricingdistribution_centre_stockfactory_stockinbound_shipments
Beispiel für Scope-Anfrage
curl --location 'https://curosa.com/api/v1/products?scope=inbound_shipments&per_page=10' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
Produkt anzeigen
Rufen Sie ein einzelnes Produkt anhand der SKU oder der Plattform-SKU ab.
Endpunkt: GET https://curosa.com/api/v1/products/{sku_or_platform_sku}
Anfrage
curl --location 'https://curosa.com/api/v1/products/201.228.141' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
Antwort
Gibt eine 200 OK-Antwort zurück:
{
"data": {
"sku": "DEMO006",
"platform_sku": "823.115.780",
"name": "Demo Product 6",
"description": "This is the description of this demo product. It is required to be at least 100 chars long before it can be enriched by the Curosa Marketing Team",
"status": "pending",
"platform_status": "inactive",
"images": [],
"site_pricing": [],
"variants": [],
"distribution_centre_stock": [],
"factory_stock": {
"sku": "DEMO006",
"platform_sku": "823.115.780",
"stock_quantity": 50,
"stock_quantity_allocated": 0,
"stock_quantity_free": 50
},
"inbound_shipments": []
}
}
Antwortfelder
| Feld | Typ | Beschreibung |
|---|---|---|
sku |
string | Ihre interne SKU |
platform_sku |
string | Curosa-Plattform-SKU |
name |
string | Produktname |
description |
string | Produktbeschreibung |
status |
string | Status gegenüber dem Lieferanten |
platform_status |
string | Plattformstatus |
images |
array | Produktbild-Objekte |
site_pricing |
array | Preisgestaltung nach Standort |
variants |
array | Varianten-Gruppierungen |
distribution_centre_stock |
array | Lagerbestand nach Vertriebszentrum |
factory_stock |
object | Zusammenfassung des Fabriklagers |
inbound_shipments |
array | Zuweisungen für eingehende Sendungen |
Produkt erstellen
Erstellen Sie ein neues Produkt.
Endpunkt: POST https://curosa.com/api/v1/products
Anfrage
curl --location 'https://curosa.com/api/v1/products' \
--header 'Authorization: Bearer YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"sku": "DEMO001",
"name": "Demo Product 1",
"description": "This is the description of this demo product. It is required to be at least 100 chars long before it can be enriched by the Curosa Marketing Team",
"brand": "Demo Brand",
"range": "Demo Range",
"images": [
{
"url": "https://picsum.photos/1000/1000",
"is_primary": true,
"type": "lifestyle"
}
],
"site_pricing": [
{
"site_code": "UK",
"price": "50.00",
"price_currency": "GBP",
"tax_rate_id": 1,
"preorder_discount_percent": "0.00",
"factory_stock_discount_percent": "0.00"
}
],
"distribution_centre_stock": [
{
"distribution_centre_code": "DEMO-DC",
"stock_quantity": 50
}
],
"factory_stock": {
"stock_quantity": 50
}
}'
Antwort
Gibt eine 201 Created-Antwort zurück:
{
"data": {
"sku": "DEMO006",
"platform_sku": "823.115.780",
"name": "Demo Product 6",
"status": "pending",
"platform_status": "inactive",
"images": [
{
"id": 42789,
"url": "https://curosa-prod.lon1.digitaloceanspaces.com/product_media/823/115/780/images/DEMO006_001.webp",
"type": "lifestyle",
"is_primary": true
}
],
"site_pricing": [
{
"site": {
"code": "UK",
"name": "United Kingdom"
},
"price": "50.00",
"price_currency": "GBP"
}
],
"distribution_centre_stock": [
{
"distribution_centre_code": "DEMO-DC",
"stock_quantity": 50
}
],
"factory_stock": {
"stock_quantity": 50
}
}
}
Ratenbegrenzung (Rate Limiting)
Diese Endpunktgruppe ist auf 3.600 Anfragen pro Stunde begrenzt. Das aktuelle Limit und die verbleibenden Anfragen werden in den Antwort-Headern als x-ratelimit-limit und x-ratelimit-remaining zurückgegeben.